Package biotransformer.transformation

## Class MReactionsFilter

- java.lang.Object
- - biotransformer.transformation.MReactionsFilter

    public class MReactionsFilter
    extends java.lang.Object

### Field Summary

Fields
`BioSystem.BioSystemName` `bioSysName`
`java.util.LinkedHashMap<MRPatterns.ReactionName,​MRPatterns.ReactionName[]>` `btPriorityHash`

### Constructor Summary

Constructors
`MReactionsFilter()`
`MReactionsFilter​(BioSystem.BioSystemName bioSysName)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.util.LinkedHashMap<MRPatterns.ReactionName,​MetabolicReaction>` `filterReactions​(java.util.ArrayList<MetabolicReaction> reactions)`
`static java.util.LinkedHashMap<MRPatterns.ReactionName,​MetabolicReaction>` `filterReactions​(java.util.ArrayList<MetabolicReaction> reactions, java.util.LinkedHashMap<MRPatterns.ReactionName,​MRPatterns.ReactionName[]> btph)`
`java.util.LinkedHashMap<MRPatterns.ReactionName,​MetabolicReaction>` `filterReactions​(java.util.LinkedHashMap<MRPatterns.ReactionName,​MetabolicReaction> reactions)`
`static java.util.LinkedHashMap<MRPatterns.ReactionName,​MetabolicReaction>` `filterReactions​(java.util.LinkedHashMap<MRPatterns.ReactionName,​MetabolicReaction> reactions, java.util.LinkedHashMap<MRPatterns.ReactionName,​MRPatterns.ReactionName[]> btph)`
`java.util.LinkedHashMap<MRPatterns.ReactionName,​MetabolicReaction>` `filterReactionsLSM​(java.util.LinkedHashMap<java.lang.String,​MetabolicReaction> reactions)`
`void` `setPriorityHash()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### btPriorityHash

    public java.util.LinkedHashMap<MRPatterns.ReactionName,​MRPatterns.ReactionName[]> btPriorityHash

#### bioSysName

    public BioSystem.BioSystemName bioSysName

### Constructor Detail

#### MReactionsFilter

    public MReactionsFilter​(BioSystem.BioSystemName bioSysName)

#### MReactionsFilter

    public MReactionsFilter()

### Method Detail

#### setPriorityHash

    public void setPriorityHash()

#### filterReactions

    public java.util.LinkedHashMap<MRPatterns.ReactionName,​MetabolicReaction> filterReactions​(java.util.ArrayList<MetabolicReaction> reactions)

#### filterReactions

    public static java.util.LinkedHashMap<MRPatterns.ReactionName,​MetabolicReaction> filterReactions​(java.util.ArrayList<MetabolicReaction> reactions,
                                                                                                           java.util.LinkedHashMap<MRPatterns.ReactionName,​MRPatterns.ReactionName[]> btph)

#### filterReactions

    public java.util.LinkedHashMap<MRPatterns.ReactionName,​MetabolicReaction> filterReactions​(java.util.LinkedHashMap<MRPatterns.ReactionName,​MetabolicReaction> reactions)

#### filterReactions

    public static java.util.LinkedHashMap<MRPatterns.ReactionName,​MetabolicReaction> filterReactions​(java.util.LinkedHashMap<MRPatterns.ReactionName,​MetabolicReaction> reactions,
                                                                                                           java.util.LinkedHashMap<MRPatterns.ReactionName,​MRPatterns.ReactionName[]> btph)

#### filterReactionsLSM

    public java.util.LinkedHashMap<MRPatterns.ReactionName,​MetabolicReaction> filterReactionsLSM​(java.util.LinkedHashMap<java.lang.String,​MetabolicReaction> reactions)